Package com.google.javascript.jscomp

# Enum WarningLevel

java.lang.Object
java.lang.Enum<WarningLevel>
com.google.javascript.jscomp.WarningLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<WarningLevel>`, `java.lang.constant.Constable`

public enum WarningLevel extends Enum<WarningLevel>
Convert the warnings level to an Options object.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
`QUIET`
`VERBOSE`

## Method Summary

Modifier and Type
Method
Description
`void`
`setOptionsForWarningLevel(CompilerOptions options)`
`static WarningLevel`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static WarningLevel[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### QUIET

public static final WarningLevel QUIET

### DEFAULT

public static final WarningLevel DEFAULT

### VERBOSE

public static final WarningLevel VERBOSE

## Method Details

### values

public static WarningLevel[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static WarningLevel valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### setOptionsForWarningLevel

public void setOptionsForWarningLevel(CompilerOptions options)